[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TFloatField.CheckRange

Check whether a value is in the allowed range of values for the field

## Declaration

Source position: db.pas line 686

`public function TFloatField.CheckRange(`
`AValue: Double`
`):Boolean;`

## Arguments

`AValue` |  | Value to check

## Function result

true if AValue is in the allowed range of values.

## Description

CheckRange returns True if AValue lies within the range defined by the MinValue and MaxValue properties. If the value lies outside of the allowed range, then False is returned.

## See also

MaxValue |  | Maximum value for the field
MinValue |  | Minimum value for the field